// Assignment 3 Solution: Palindrome.java
// Program tests for a palindrome


public class Palindrome
{
   private int fiveDigit;
  
   
   // general purpose constuctor
   public Palindrome( int newFiveDigit)
   {
   	setFiveDigit( newFiveDigit);
   }

   // get method for fiveDigit
   public int getFiveDigit()
   {
   	return fiveDigit;
   }
   
   // set method for fiveDigit
   public void setFiveDigit(int newFiveDigit)
   {
   	if (newFiveDigit> 9999)
   	{
   			if (newFiveDigit <= 99999)
   		     {
   		     	fiveDigit= newFiveDigit;
   		     }
   	}
   		
   }
    // checks if fiveDigit is a palindrome
   public boolean isPalindrome()
   {
      // deaclare local variables
      int digit1; // first digit
      int digit2; // second digit
      int digit4; // fourth digit
      int digit5; // fifth digit


      // get the digits
      digit1 = fiveDigit / 10000;
      digit2 = fiveDigit % 10000 / 1000;
      digit4 = fiveDigit % 10000 % 1000 % 100 / 10;
      digit5 = fiveDigit % 10000 % 1000 % 100 % 10;

      if ( digit1 == digit5 )
      {
         if ( digit2 == digit4 )
            {
            	return true;
        }
      }
      return false;
   } // end method checkPalindrome
} // end class Palindrome
